using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Data;

namespace CustomFilterRow_WPF
{
	public partial class NumericColumnHeader
	{
		public NumericColumnHeader()
		{
			InitializeComponent();
		}
		protected override void OnFilterDescriptorChanged(FilterDescriptor oldValue, FilterDescriptor newValue)
		{
			base.OnFilterDescriptorChanged(oldValue, newValue);

			if (newValue != null)
			{
				newValue.Value = new Int32();
			}
		}
	}
}
